import { AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
/**
 * Base class for all Canal components. Exposes some common functionality
 * that all Ionic components need, such as accessing underlying native elements and
 * sending/receiving app-level events.
 *
 * Borrowed from https://github.com/ionic-team/ionic/blob/master/src/components/ion.ts
 */
/** @hidden */
export declare class Canal implements AfterViewInit {
    /** @hidden */
    _elementRef: ElementRef;
    /** @hidden */
    _renderer: Renderer2;
    /** @hidden */
    _color: string;
    /** @hidden */
    _componentName: string;
    /** @hidden */
    _init: boolean;
    /**
     * @input {string} The color to use from your Sass `$colors` map.
     * Default options are: `"primary"`, `"secondary"`, `"danger"`, `"light"`, and `"dark"`.
     * For more information, see [Theming your App](/docs/theming/theming-your-app).
     */
    color: string;
    constructor(elementRef: ElementRef, renderer: Renderer2, componentName?: string);
    ngAfterViewInit(): void;
    /** @hidden */
    setElementClass(className: string, isAdd: boolean): void;
    /** @hidden */
    setElementAttribute(attributeName: string, attributeValue: any): void;
    /** @hidden */
    setElementStyle(property: string, value: string): void;
    /** @hidden */
    _setColor(newColor: string, componentName?: string): void;
    /** @hidden */
    _setComponentName(): void;
    /** @hidden */
    getElementRef(): ElementRef;
    /** @hidden */
    getNativeElement(): any;
}
